Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlInputNumberSlider

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIInputNumber
                          org.richfaces.component.html.HtmlInputNumberSlider

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class HtmlInputNumberSlider

extends UIInputNumber
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:inputNumberSlider> component provides a slider for changing numerical values. Optional features include control arrows to step through the values, a tool-tip to display the value while sliding, and a text field for typing the numerical value which can then be validated against the slider's range.

Nested Class Summary
`protected static class` | `HtmlInputNumberSlider.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlInputNumberSlider()`

Method Summary
`String` | `getAccesskey()`
`String` | `getDecreaseClass()`
`String` | `getDecreaseSelectedClass()`
`String` | `getDefaultEventName()`
`int` | `getDelay()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHandleClass()`
`String` | `getHandleSelectedClass()`
`org.richfaces.component.InputNumberSliderHandleType` | `getHandleType()`
`String` | `getIncreaseClass()`
`String` | `getIncreaseSelectedClass()`
`String` | `getInputClass()`
`org.richfaces.component.InputNumberSliderInputPosition` | `getInputPosition()`
`int` | `getInputSize()`
`String` | `getLabel()`
`String` | `getLang()`
`int` | `getMaxlength()`
`String` | `getMaxValue()`
`String` | `getMinValue()`
`String` | `getOnblur()`
`String` | `getOnchange()`
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnfocus()`
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnselect()`
`String` | `getStep()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTabindex()`
`String` | `getTitle()`
`String` | `getTooltipClass()`
`String` | `getTrackClass()`
`boolean` | `isDisabled()`
`boolean` | `isEnableManualInput()`
`boolean` | `isReadonly()`
`boolean` | `isShowArrows()`
`boolean` | `isShowBoundaryValues()`
`boolean` | `isShowInput()`
`boolean` | `isShowTooltip()`
`void` | `setAccesskey(String accesskey)`
`void` | `setDecreaseClass(String decreaseClass)`
`void` | `setDecreaseSelectedClass(String decreaseSelectedClass)`
`void` | `setDelay(int delay)`
`void` | `setDir(String dir)`
`void` | `setDisabled(boolean disabled)`
`void` | `setEnableManualInput(boolean enableManualInput)`
`void` | `setHandleClass(String handleClass)`
`void` | `setHandleSelectedClass(String handleSelectedClass)`
`void` | `setHandleType(org.richfaces.component.InputNumberSliderHandleType handleType)`
`void` | `setIncreaseClass(String increaseClass)`
`void` | `setIncreaseSelectedClass(String increaseSelectedClass)`
`void` | `setInputClass(String inputClass)`
`void` | `setInputPosition(org.richfaces.component.InputNumberSliderInputPosition inputPosition)`
`void` | `setInputSize(int inputSize)`
`void` | `setLabel(String label)`
`void` | `setLang(String lang)`
`void` | `setMaxlength(int maxlength)`
`void` | `setMaxValue(String maxValue)`
`void` | `setMinValue(String minValue)`
`void` | `setOnblur(String onblur)`
`void` | `setOnchange(String onchange)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnselect(String onselect)`
`void` | `setReadonly(boolean readonly)`
`void` | `setShowArrows(boolean showArrows)`
`void` | `setShowBoundaryValues(boolean showBoundaryValues)`
`void` | `setShowInput(boolean showInput)`
`void` | `setShowTooltip(boolean showTooltip)`
`void` | `setStep(String step)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabindex(String tabindex)`
`void` | `setTitle(String title)`
`void` | `setTooltipClass(String tooltipClass)`
`void` | `setTrackClass(String trackClass)`

Methods inherited from class org.richfaces.component.UIInputNumber
`validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputNumberSlider

    public HtmlInputNumberSlider()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAccesskey

    public String getAccesskey()

### setAccesskey

    public void setAccesskey(String accesskey)

### getDecreaseClass

    public String getDecreaseClass()

### setDecreaseClass

    public void setDecreaseClass(String decreaseClass)

### getDecreaseSelectedClass

    public String getDecreaseSelectedClass()

### setDecreaseSelectedClass

    public void setDecreaseSelectedClass(String decreaseSelectedClass)

### getDelay

    public int getDelay()

### setDelay

    public void setDelay(int delay)

### getDir

    public String getDir()

### setDir

    public void setDir(String dir)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### isEnableManualInput

    public boolean isEnableManualInput()

### setEnableManualInput

    public void setEnableManualInput(boolean enableManualInput)

### getHandleClass

    public String getHandleClass()

### setHandleClass

    public void setHandleClass(String handleClass)

### getHandleSelectedClass

    public String getHandleSelectedClass()

### setHandleSelectedClass

    public void setHandleSelectedClass(String handleSelectedClass)

### getHandleType

    public org.richfaces.component.InputNumberSliderHandleType getHandleType()

### setHandleType

    public void setHandleType(org.richfaces.component.InputNumberSliderHandleType handleType)

### getIncreaseClass

    public String getIncreaseClass()

### setIncreaseClass

    public void setIncreaseClass(String increaseClass)

### getIncreaseSelectedClass

    public String getIncreaseSelectedClass()

### setIncreaseSelectedClass

    public void setIncreaseSelectedClass(String increaseSelectedClass)

### getInputClass

    public String getInputClass()

### setInputClass

    public void setInputClass(String inputClass)

### getInputPosition

    public org.richfaces.component.InputNumberSliderInputPosition getInputPosition()

### setInputPosition

    public void setInputPosition(org.richfaces.component.InputNumberSliderInputPosition inputPosition)

### getInputSize

    public int getInputSize()

### setInputSize

    public void setInputSize(int inputSize)

### getLabel

    public String getLabel()

### setLabel

    public void setLabel(String label)

### getLang

    public String getLang()

### setLang

    public void setLang(String lang)

### getMaxValue

    public String getMaxValue()

### setMaxValue

    public void setMaxValue(String maxValue)

### getMaxlength

    public int getMaxlength()

### setMaxlength

    public void setMaxlength(int maxlength)

### getMinValue

    public String getMinValue()

### setMinValue

    public void setMinValue(String minValue)

### getOnblur

    public String getOnblur()

### setOnblur

    public void setOnblur(String onblur)

### getOnchange

    public String getOnchange()

### setOnchange

    public void setOnchange(String onchange)

### getOnclick

    public String getOnclick()

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnfocus

    public String getOnfocus()

### setOnfocus

    public void setOnfocus(String onfocus)

### getOnkeydown

    public String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnselect

    public String getOnselect()

### setOnselect

    public void setOnselect(String onselect)

### isReadonly

    public boolean isReadonly()

### setReadonly

    public void setReadonly(boolean readonly)

### isShowArrows

    public boolean isShowArrows()

### setShowArrows

    public void setShowArrows(boolean showArrows)

### isShowBoundaryValues

    public boolean isShowBoundaryValues()

### setShowBoundaryValues

    public void setShowBoundaryValues(boolean showBoundaryValues)

### isShowInput

    public boolean isShowInput()

### setShowInput

    public void setShowInput(boolean showInput)

### isShowTooltip

    public boolean isShowTooltip()

### setShowTooltip

    public void setShowTooltip(boolean showTooltip)

### getStep

    public String getStep()

### setStep

    public void setStep(String step)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTabindex

    public String getTabindex()

### setTabindex

    public void setTabindex(String tabindex)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getTooltipClass

    public String getTooltipClass()

### setTooltipClass

    public void setTooltipClass(String tooltipClass)

### getTrackClass

    public String getTrackClass()

### setTrackClass

    public void setTrackClass(String trackClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.